%define name xpcd
%define version 2.08
%define release 9mdk

Summary: PhotoCD tool collection
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Graphics
BuildRequires: XFree86-devel Xaw3d-devel libjpeg-devel libtiff-devel gimp-libgimp
%ifarch %{ix86}
BuildRequires: svgalib-devel
%endif
Source: http://www.cs.tu-berlin.de/~kraxel/linux/xpcd/%{name}-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gimp-devel

%description
This is a PhotoCD tool collection. The main application - xpcd - is a
comfortable, X11-based PhotoCD decoding/viewing program. Also included
is pcdtoppm, this is a command line based PhotoCD-to-PPM/JPEG
converter.

%ifarch %{ix86}

%package svga
Summary: svgalib viewer for PhotoCD images
Group: Graphics

%description svga
svgalib viewer for PhotoCD images

%endif

%package gimp
Summary: GIMP 0.99 plugin, makes xpcd and gimp work hand in hand.
Group: Graphics
Requires: xpcd >= 2, gimp >= 0.99

%description gimp
This is a GIMP 0.99 plugin, it allows xpcd to load images directly
into The GIMP. If you'll open a PhotoCD file within gimp, it will
be passed to xpcd.
The installation of the gimp plugin works only if the gimp is installed
with prefix=/usr or prefix=/usr/local. If not, you have to copy xpcd-gate
from /usr/bin to the plug-ins directory yourself.

%prep

%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"

%ifarch %{ix86}
%configure --with-gimp --with-tiff --with-jpeg --with-svga
%else
%configure --with-gimp --with-tiff --with-jpeg
%endif

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xpcd

%makeinstall \
x11_libdir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 \
x11_incdir=$RPM_BUILD_ROOT/usr/X11R6/include/X11 \
gimpplugindir=$RPM_BUILD_ROOT%{_libdir}/gimp/1.1/plug-ins \
SUID_ROOT=

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat >$RPM_BUILD_ROOT%{_menudir}/xpcd <<EOF
?package(xpcd): command="%{_bindir}/xpcd" needs="X11" \
icon="xpcd.xpm" section="Multimedia/Graphics" \
title="xpcd" longtitle="PhotoCD tools"
EOF

# Mdk Icons...
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xpcd
%attr(755,root,root) %{_bindir}/pcdtoppm
%{_mandir}/man1/xpcd.1*
%{_mandir}/man1/pcdtoppm.1*
%{_prefix}/X11R6/lib/X11/xpcd/system.xpcdrc
%{_prefix}/X11R6/lib/X11/app-defaults/Xpcd-2
%{_prefix}/X11R6/lib/X11/de/app-defaults/Xpcd-2
%{_prefix}/X11R6/lib/X11/da/app-defaults/Xpcd-2
%{_prefix}/X11R6/include/X11/pixmaps/xpcd-color.xpm
%{_prefix}/X11R6/include/X11/pixmaps/xpcd-gray.xpm
%{_menudir}/xpcd
%{_iconsdir}

%ifarch i386 i486 i586 i686 k6 k7

%files svga
%attr(4711, root, root) %{_bindir}/pcdview
%attr(0644, root, root) %{_mandir}/man1/pcdview.1*

%endif

%files gimp
%attr(0711, root, root) %{_libdir}/gimp/1.1/plug-ins/xpcd-gate

%changelog
* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 2.08-9mdk
- force icons to appear
- menu embedded
- more macroz

* Mon Sep 18 2000 Francis Galiegue <fg@mandrakesoft.com> 2.08-8mdk

- Made specfile more readable...
- Be consistent, if we use the %%{ix86} macro in one place, use it everywhere
  else
- We now have gimp-1.1
- Icons

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.08-7mdk

- use BuildRequires svgalib-devel only on ix86.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.08-6mdk

- automatically added BuildRequires

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.08-5mdk

- macroszifications
- BM
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - tmppath and updatemenus macros (postun was broken btw)
  - missing EOF in cat << EOF which prevented mpages from bzip'in. great ...

* Mon Apr 03 2000 John Buswell <johnb@mandrakesoft.com> 2.08-4mdk

- postun script fix

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 2.08-3mdk

- Fixed groups

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 2.08-2mdk

- Added menu
- Man pages were not bzipped!!

* Thu Feb 24 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>

- updated to version 2.08
